# RealNeuralNetworks.jl 
A Skeletonization, morphological and connectivity analysis tool. 

## Features 
- Skeletonization using TEASAR algorithm. 
- Skeleton IO with format of SWC and neuroglancer precomputed. 
- A lot of morphological analysis functions. 
- Synaptic distribution analysis in/between neurons.
- Neuron connectivity analysis.

The [Getting Started](@ref) provides a tutorial explaning how to get started.

Some examples of packages could be found on the [Examples](@ref) page. 

See the [Index](@ref main-index) for the complete list of functions and types. 

## Manual Outline 

```@contents 
Pages = [
    "man/getting_started.md",
    "man/examples.md",
    "man/contributing.md",
    "man/references.md"
]
Depth=1
```

## Library Outline 

```@contents 
Pages = [
    "lib/public.md",
    "lib/internals.md"
]

###[Index](@id main-index)

```@index 
Pages = ["lib/public.md"]
```

